#include "defines.h"
#include "ascsi.h"
#include "acmp.h"
#include "FAT32.h"

int _CheckDirEmpty32(unchar *path)
// そのディレクトリの内容が空かどうかを確認する
{
FILE32 fp;
int ret;
unchar dir[MAXLONGFILE],*d,c;
	// path\*.*
	d=dir;
	do {
		c=*path++;
		*d++=c;
		if (check_kanji1(c)) {
			*d++=*path++;
		}
	} while (c!=0);
	
	// d=EOSの次
	if (*(path-2)!='\\') {*(d-1)='\\'; *d++=0;}
	*(d-1)='*';
	*d++='.';
	*d++='*';
	*d=0;
	
	ret=_VFILES32(&fp,dir,FA_ARCH|FA_DIREC|FA_VOL,1);
	while (ret>=0) {
		if (!CheckParentDir(fp.name)) break; // ./..以外がある
		ret=NVFILES32(&fp);
	}
	if (ret!=-1) { // ディレクトリの内容がある＝削除不可
		return(201);
	}
	// 空
	return(0);
}
